function result = covplot(data,datamod,names,n);




modelcov = covf(datamod,n+1);%*10000;
datacov = covf(data,n+1);

ysz = size(data,2);

figure;

for i=1:ysz;
    
    for j=1:ysz;
        

  subplot(ysz,ysz,(i-1)*ysz+j);
   hold on;
   plot([0:n],datacov((i-1)*ysz+j,:),'g-','LineWidth',2);
   plot([0:n],modelcov((i-1)*ysz+j,:),'b-','LineWidth',2);
   plot([0:n],zeros(1,n+1),'k-');
   grid on;
   title([names{i} ', lagged ' names{j}]);
   if i==1 & j==1;
    legend('data','model');    
   end;
   set(gca,'Xtick',[1:2:n]);
   if i<ysz;    
   set(gca,'XtickLabel',[]);
    end;
    end;
end;

