function result = covplotn(models,data,names,n);


colors = 'bcrmykbcrmyk';


nummodels = size(models,1)*size(models,2);
check = models{1};
ysz = size(check.phiy,1);

figure;
subplots = zeros(ysz,ysz);
for i=1:ysz;    
    for j=1:ysz;        
      subplots(i,j) = subplot(ysz,ysz,(i-1)*ysz+j);
      hold on;
    end;
end;


legends{1} = 'data';
axes(subplots(1,1));
plot([0:n],zeros(1,n+1),'g-','LineWidth',2);
for jjj=1:nummodels;
       model = models{jjj};    
       legends{jjj+1}=model.name;
       plot([0:n],zeros(1,n+1),colors(jjj),'LineWidth',2);
end;
plot([0:n],zeros(1,n+1),'w-','LineWidth',2);



for jjj=1:nummodels;

model = models{jjj};    
    
modelcov = covfct(model,n)*10000;
datacov = covf(data,n+1);


for i=1:ysz;
    
   for j=1:ysz;
        
   axes(subplots(i,j));
   plot([0:n],datacov((i-1)*ysz+j,:),'g-','LineWidth',2);
   plot([0:n],squeeze(modelcov(:,i,j)),colors(jjj),'LineWidth',2);
   plot([0:n],zeros(1,n+1),'k-');
   grid on;
   axis tight;
   title([names{i} ', lagged ' names{j}]);
   
    
   set(gca,'Xtick',[1:2:n]);
   
    end;
end;


end;

axes(subplots(1,1));
legend(legends);
