function result = summary(data,names,n);
% produces tables with mean, variance and cov for n lags

colors = 'bcrmykbcrmyk';


ysz = size(data,2);

% table with levels of nominal and real yields
     datacov = covf(data,n+1);
     stddata = sqrt(diag(reshape(datacov(:,1),ysz,ysz))'); % rem different than direct std
     datacorr = datacov./(kron(stddata,stddata)' * ones(1,n+1));

     
    disp('data: contemporaneous correlations');
    disp(reshape(datacorr(:,1),ysz,ysz));
    disp('data: own autocorrelations');
    for j=2:n+1;
        disp(diag(reshape(datacorr(:,j),ysz,ysz))');
    end;
    
      
     disp('^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^');
     disp('^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^');

    

     
     
     

    
