function [a,b] = annualfindaby(A,B,maxn);
%  findab finds a and b for 100*y=a+bX 
%  (yields in percent)
% 	a, b stack the answers in a matrix, 
% 	a = vector a0 a1 ... amaxn
% 	b = matrix [ b0' ; b1' ;...bmaxn' ]
%
% input: A, B from the bond prices 
%			mat  from the	

[m,N]=size(B);
mat=(1:maxn)';
a=-A./(mat);
b=-B./(mat*ones(1,N));


