function [A,C]=autocov(data,N,lags);

[T,M] = size(data);

for m = 1:M 

    for k = 1:M
        
        for n = 0:N

         y = data(1+n:T,m).*data(1:T-n,k);  
         a = mean(y);
         h = y-a;
         h = [zeros(n,1); h];

         A(m,k,n+1) = a;
                       
         nobs = T-n;
         
            for i=1:lags;
                
                R = h'*h/nobs;
                R_temp=h(i+1:nobs)'*h(1:nobs-i)/nobs;
                R=R+(R_temp'+R_temp)*(1-i/(lags+1));
                C(m,k,n+1) = sqrt(R/nobs);
            
            end
        end
    end
end



