close all;

% run recprogramB first

nummodels=4;

bigynoms = zeros(obs,max(mats),4);
bigyreals = zeros(obs,max(mats),4);

load learning99;

bigynoms(:,:,3) = squeeze(ynoms(:,:,2));
bigyreals(:,:,3) =  squeeze(yreals(:,:,2));

load ex1yields;

bigynoms(:,:,1) =  squeeze(ynoms(:,:,2));
bigyreals(:,:,1) =squeeze(yreals(:,:,2));

load ex2byields;

bigynoms(:,:,2) =  squeeze(ynoms(:,:,2));
bigyreals(:,:,2) =squeeze(yreals(:,:,2));


 load learning99E;
 
 bigynoms(:,:,4) = squeeze(ynoms(:,:,2));
 bigyreals(:,:,4) = squeeze(yreals(:,:,2));





    
%----------------Compare Model and Data ---------------------------------%
    colors = 'bcrmyk';
     % real time short rate and long rate pictures
     plotstartquarter=1965;
%     plotinds = [plotstartquarter-startquarter+.25:.25:2005.75-startquarter+.25]*4;     
     plotinds = [plotstartquarter-startquarter+.25:2:2005.75-startquarter+.25]*4;     
     plotinds = [[plotstartquarter-startquarter+.25:.25:1973.75-startquarter+.25]...
                          1974.5-startquarter+.25:.25:2005.75-startquarter+.25]*4;     
     plotsam = sam(plotinds);
  for matt = 1:5:6;
    figure;
    hold on;
    plot(plotsam, ydat(plotinds,matt),'g-','LineWidth',2);
    for jj=1:nummodels;
    style = [colors(jj) '-'];    
    plot(plotsam, squeeze(bigynoms(plotinds,mats(matt),jj)),style,'LineWidth',2);
    end;
    for jj=1:nummodels;
    style = [colors(jj) '--'];    
    plot(plotsam, squeeze(bigyreals(plotinds,mats(matt),jj)),style,'LineWidth',2);
    end;
    title(['maturity ' num2str(mats(matt)) ' (nominal solid, real dashed)']);
    legend('Data','Benchmark','Yield Info','CG learning');
        plot(sam,zeros(obs,1),'k-');

  end;
    
 
 % real time spread
    spreadnoms = squeeze(bigynoms(:,20,:)) - squeeze(bigynoms(:,1,:));

    figure;
    hold on;
    plot(plotsam, spreaddat(plotinds),'g-','LineWidth',2);
    for jj=1:nummodels;
    style = [colors(jj) '-'];    
    plot(plotsam, spreadnoms(plotinds,jj),style,'LineWidth',2);
    end;
    title('nominal spread');
    legends{1} = 'Data';
    legends{2} = 'Benchmark';
    legends{3} = 'Yield Info';
    legends{4} = 'CG learning';
    legends{5} = 'CG learning + param uncertainty';
    legend(legends);
    plot(sam,zeros(obs,1),'k-');
    
    
    figure;
    hold on;
      plot(sam,ydat(:,1)*4,'g-','LineWidth',1.5);
  plot(sam,squeeze(bigynoms(:,1,1)*4),'c-','Linewidth',1.5);
  title('Benchmark Model');
  legend('data', 'benchmark', 'Location', 'NorthWest'); 
  axis tight;
     print -depsc2 shortbench.eps;  

        
    figure;
    hold on;
      plot(sam,ydat(:,1)*4,'b-','LineWidth',1.5);
  plot(sam,squeeze(bigynoms(:,1,1)*4),'g-','Linewidth',1.5);
  ylabel('yields in percent')
  text(1970, 2, 'Benchmark Model');
  text(1995, 12, 'Data');
  
  axis tight;
  
  
%     print -depsc2 shortbenchtalk.eps;  
     
     
     
    figure;
  hold on;
  plot(sam,ydat(:,1)*4,'b-','LineWidth',1.5);
  plot(sam,squeeze(bigynoms(:,1,1)*4),'g-','LineWidth',1.5);
  plot(sam,squeeze(bigynoms(:,1,2)*4),'k-','LineWidth',1);
  ylabel('yields in percent');
  text(1990, 12, 'Data');
  axis tight;
 % print -depsc2 shortlargeinfo.eps;  

  figure;
  hold on;
  plot(sam,ydat(:,1)*4,'b-','LineWidth',1.5);
  plot(sam,squeeze(bigynoms(:,1,1)*4),'g-','LineWidth',1.5);
  plot(plotsam,squeeze(bigynoms(plotinds,1,4)*4),'k-','LineWidth',1.2);
    ylabel('yields in percent');
  text(1965, 11, 'Data');
    text(1987, 11, 'Learning');

  print -depsc2 learningtalk.eps;  

  title('Learning + Parameter Uncertainty');
  axis tight;
 
 
 close all;
 
  % short rate picture for paper
  figure;
  subplot(2,2,1);
  hold on;
  plot(sam,ydat(:,1)*4,'color',.8*ones(1,3),'LineWidth',1.5);
  plot(sam,squeeze(bigynoms(:,1,1)*4),'color',.6*ones(1,3),'Linewidth',1.5);
  title('Benchmark Model');
  %legend('data', 'benchmark', 'Location', 'NorthWest'); 

   text(1988, 11, 'data');
 % text(sam(1)+1, 5, 'benchmark')
  text(1973, 2.5, 'benchmark');
    axis tight;

  subplot(2,2,2);
  hold on;
  plot(sam,ydat(:,1)*4,'color',.8*ones(1,3),'LineWidth',1.5);
  plot(sam,squeeze(bigynoms(:,1,1)*4),'color',.6*ones(1,3),'LineWidth',1.5);
  plot(sam,squeeze(bigynoms(:,1,2)*4),'k','LineWidth',1);
  title('Large Info Set');

  text(1988, 11, 'data');
 % text(sam(1)+1, 5, 'benchmark')
  text(1973, 2.5, 'large info');
  text(1955, 11, 'benchmark');
  axis tight;

  subplot(2,2,3);
  hold on;
  plot(sam,4*ydat(:,1),'color',.8*ones(1,3),'LineWidth',1.5);
  plot(sam,squeeze(bigynoms(:,1,2)*4),'color',.6*ones(1,3),'LineWidth',1.5);
  plot(plotsam,squeeze(bigynoms(plotinds,1,3)*4),'k-','LineWidth',1);
  title('Adaptive Learning');
  %  text(1988, 8, 'data');

    text(1988, 11, 'data');
 % text(sam(1)+1, 5, 'benchmark')
  text(1973, 2.5, 'adaptive');
  text(1973, 1.5, 'learning');
  text(1955, 11, 'benchmark');

  axis tight;

  subplot(2,2,4);  
  hold on;
  plot(sam,ydat(:,1)*4,'color',.8*ones(1,3),'LineWidth',1.5);
  plot(sam,squeeze(bigynoms(:,1,1)*4),'color',.6*ones(1,3),'LineWidth',1.5);
  plot(plotsam,squeeze(bigynoms(plotinds,1,4)*4),'k','LineWidth',1);
  %text(1988, 8, 'data');

    text(1955, 11, 'benchmark');
    text(1988, 11, 'data');
 % text(sam(1)+1, 5, 'benchmark')
  text(1973, 2.5, 'parameter');
  text(1973, 1.5, 'uncertainty');
  title('Learning + Parameter Uncertainty');
  axis tight;

   print -depsc2 short.eps;  

   figure;
     
  hold on;
  plot(sam,ydat(:,1)*4,'color',.9*ones(1,3),'LineWidth',1.5);
  %plot(sam,squeeze(bigynoms(:,1,1)*4),'color',.7*ones(1,3),'LineWidth',1.5);
  plot(plotsam,squeeze(bigynoms(plotinds,1,4)*4),'k','LineWidth',1.5);
   
  sfddsf 
   
   
   
  
  % spread picture for paper
  figure;
  subplot(2,2,1);
  hold on;
  plot(sam,4*spreaddat(:,1),'g-','LineWidth',1.5);
  plot(sam,squeeze(4*spreadnoms(:,1)),'c-','Linewidth',1.5);
  title('Benchmark Model');
  %legend('data', 'benchmark', 'Location', 'SouthWest'); 
  text(1965, 2.7, 'data');
  text(1985, -1, 'benchmark');
  axis tight;
  
  subplot(2,2,2);
  hold on;
  plot(sam,4*spreaddat(:,1),'g-','LineWidth',1.5);
  plot(sam,4*squeeze(spreadnoms(:,1)),'c-','LineWidth',1.5);
  plot(sam,4*squeeze(spreadnoms(:,2)),'k-','LineWidth',1);
  title('Large Info Set');
  
  text(1965, 2.7, 'data');
  text(1985, -1, 'large info');

  axis tight;
  
  subplot(2,2,3);
  hold on;
  plot(sam,4*spreaddat(:,1),'g-','LineWidth',1.5);
  plot(sam,4*squeeze(spreadnoms(:,2)),'c-','LineWidth',1.5);
  plot(plotsam,4*squeeze(spreadnoms(plotinds,3)),'k-','LineWidth',1);
  title('Adaptive Learning');
    text(1965, 2.7, 'data');
  text(1985, -1, 'adaptive');
  text(1985, -1.5, 'learning');

  
  axis tight;
  
  subplot(2,2,4);
    hold on;

  plot(sam,4*spreaddat(:,1),'g-','LineWidth',1.5);
  plot(sam,4*squeeze(spreadnoms(:,1)),'c-','LineWidth',1.5);
  plot(plotsam,4*squeeze(spreadnoms(plotinds,4)),'k-','LineWidth',1);
  title('Learning + Parameter Uncertainty');
    text(1965, 2.7, 'data');
  text(1985, -1, 'parameter');
  text(1985, -1.5, 'uncertainty');

  
  axis tight;
  
 print -depsc2 spreads.eps;  
    
    
    
    % table with levels of nominal and real yields
disp('***************************************************************************');
disp('***************************************************************************');                    
disp('***************************************************************************');
disp(' =========================  REAL TIME YIELDS =============================');
    legends{1}='data'; 
    disp('data: mean and standard deviations');
    disp([mean(ydat);std(ydat)]);
    disp('models: mean and standard deviations');
    for jj=1:nummodels;           
     disp(legends{jj+1});
     disp('^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^');
     disp([mean(squeeze(bigynoms(plotinds,mats,jj)));std(squeeze(bigynoms(plotinds,mats,jj)))]);     
     disp('      REAL: mean and standard deviations');
     disp([mean(squeeze(bigyreals(plotinds,mats,jj)));std(squeeze(bigyreals(plotinds,mats,jj)))]);
    end;

    

