function result = covplot(model,data,names,n);

set(gca, 'Fontsize', 5);

modelcov = covfct(model,n);%*10000;
datacov = covf(data,n+1);

result = modelcov;

%disp(modelcov)
%disp(datacov)

ysz = size(model.phiy,1);



figure;

for i=1:ysz;
    
    for j=1:ysz;
        

  subplot(ysz,ysz,(i-1)*ysz+j);
   hold on;

   datac  = datacov((i-1)*ysz+j,:);
   
  
   
  
   % load ..\quarterlynew\confidenceint.mat
   % load ..\quarterlynew\confidenceMLE.mat
   %squeeze(covmatrixconfadj(1,:,i,j))'+modelcov(:,i,j)
   
   howmany=max(size(datac'));
   
   [mom,bounds] = autocov(data,howmany-1,4);
   
   %plot([0:n],squeeze(covconf(1,:,i,j))', 'r:', 'Linewidth',2);
   %plot([0:n],squeeze(covconf(2,:,i,j))', 'r:', 'Linewidth',2);

   cbandu=datac'-2*squeeze(bounds(i,j,:));
   cbando=datac'+2*squeeze(bounds(i,j,:));
   
  
   plot([0:n],datac ,'color',.5*ones(1,3),'LineWidth',2);
plot([0:n],squeeze(modelcov(:,i,j)),'k-','LineWidth',2);

   
x=   patch([0.2, [1:n], [n:-1:1],0.2], [cbandu' cbando(end:-1:1)'],.8*ones(1,3),'EdgeColor',.8*ones(1,3));
   get(x); 
   
   %plot([0:n], datac'+2*squeeze(bounds(i,j,:)), 'r:', 'Linewidth', 2);
   %plot([0:n], datac'-2*squeeze(bounds(i,j,:)), 'r:', 'Linewidth', 2);
   
   plot([0:n],zeros(1,n+1),'k-');
    
   plot([0:n],datac ,'color',.5*ones(1,3),'LineWidth',2);
   plot([0:n],squeeze(modelcov(:,i,j)),'k-','LineWidth',2);

   grid on;
      
   title([names{i} ', lagged ' names{j}]);

 if ysz == 2  
   
   if i==1 & j==2;
    legend('data','model','Location','SouthEast');    
   end;
      set(gca,'Xtick',[1:2:n]);

 elseif ysz ==4 
     
       if i==2 & j==2;
        legend('data','model','Location','NorthEast');
       end
 
     set(gca,'Xtick',[1:4:n]);
     if i==4 
     xlabel('lags (in quarters)')
     end


 end
 
    end;
   
end;

