function [L,crash]=innodensity(c,dat,E);

T=size(dat,1);
crash=0;
L=zeros(T,1);
%disp(c');

% Parameters 

[C,  A, AK, omega] = paraminno4(c);

N = size(dat,2);                     

if E == 0 
  x = zeros(N,1);
else
  x = c(43:46);
end

% Build Likelihood of yt given past yt's 

   for t=1:T
     
    y  = dat(t,:)';

    xL = x;
    x =  A*xL + AK *( y - C*xL);
    
	u  = y - C*xL; 
   
    
	% Check Variance 
   		if det(omega*(100^2))<10^-30;	
		crash=1;
        end;

	invomega=inv(omega);
	      
    L(t)=-0.5*length(y)*log(2*pi)-0.5*log(det(omega))-0.5*u'*invomega*u;

   end

